﻿using Syncfusion.Windows.Controls.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Input;
using System.Windows.Media;

namespace GridDataControlEx
{
   public  class StudentCollection:INotifyPropertyChanged
    {
        ObservableCollection<Student> stud;       
        public ObservableCollection<Student> Stud
        {
            get
            {
                return stud;
            }
            set
            {
                stud = value;
                this.OnPropertyChanged("stud");
            }
        }
        public StudentCollection()
        {            
            stud = new ObservableCollection<Student>();
            stud.Add(new Student() { Rollno = 1, Name = "Adam  ,  Alki  ,Avis  , Almoano ,   Cheek ", Age = 12 });
            stud.Add(new Student() { Rollno = 2, Name = "Alki", Age = 13 });
            stud.Add(new Student() {Rollno=3, Name="Avis" ,Age=12});
            stud.Add(new Student() { Rollno = 4, Name = "Almano", Age = 12 });           
            stud.Add(new Student() { Rollno = 5, Name = "Cheek", Age = 12 });
        }        
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string stu)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(stu));
        }
    }
}
